gstreamermm: Gst::DiscovererVideoInfo Class Reference

gstreamermm 1.10.0

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::DiscovererVideoInfo Class Reference

DiscovererVideoInfo - Gst::DiscovererStreamInfo specific to video streams (this includes images). More...

`#include <gstreamermm/discovererinfo.h>`

Inheritance diagram for Gst::DiscovererVideoInfo:
[legend]

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstDiscovererVideoInfo* | gobj ()
| Provides access to the underlying C instance. More...
const GstDiscovererVideoInfo* | gobj () const
| Provides access to the underlying C instance. More...
GstDiscovererVideoInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| DiscovererVideoInfo ()=delete
| DiscovererVideoInfo (const DiscovererVideoInfo&)=delete
DiscovererVideoInfo& | operator= (const DiscovererVideoInfo&)=delete
guint | get_bitrate () const
guint | get_depth () const
guint | get_framerate_denom () const
guint | get_framerate_num () const
guint | get_height () const
bool | is_interlaced () const
bool | is_image () const
guint | get_max_bitrate () const
guint | get_par_denom () const
guint | get_par_num () const
guint | get_width () const
Public Member Functions inherited from Gst::DiscovererStreamInfo
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstDiscovererStreamInfo* | gobj ()
| Provides access to the underlying C instance. More...
const GstDiscovererStreamInfo* | gobj () const
| Provides access to the underlying C instance. More...
GstDiscovererStreamInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| DiscovererStreamInfo ()=delete
| DiscovererStreamInfo (const DiscovererStreamInfo&)=delete
DiscovererStreamInfo& | operator= (const DiscovererStreamInfo&)=delete
Glib::RefPtr< Gst::Caps > | get_caps ()
Glib::RefPtr< const Gst::Caps > | get_caps () const
Structure | get_misc () const
| Deprecated: This functions is deprecated since version 1.4, use #gst_discoverer_info_get_missing_elements_installer_details. More...
Glib::RefPtr< Gst::DiscovererStreamInfo > | get_next ()
Glib::RefPtr< const Gst::DiscovererStreamInfo > | get_next () const
Glib::RefPtr< Gst::DiscovererStreamInfo > | get_previous ()
Glib::RefPtr< Gst::DiscovererStreamInfo > | get_previous () const
Gst::TagList | get_tags () const
Glib::ustring | get_stream_type_nick () const
Glib::ustring | get_stream_id () const
Glib::RefPtr< const Gst::Toc > | get_toc () const
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| MiniObject ()=delete
| MiniObject (const MiniObject&)=delete
MiniObject& | operator= (const MiniObject&)=delete
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...

## Protected Member Functions
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::DiscovererStreamInfo
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::DiscovererVideoInfo > | wrap (GstDiscovererVideoInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::DiscovererStreamInfo
Glib::RefPtr< Gst::DiscovererStreamInfo > | wrap (GstDiscovererStreamInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer

## Detailed Description

DiscovererVideoInfo - Gst::DiscovererStreamInfo specific to video streams (this includes images).

## Constructor & Destructor Documentation

## ◆ DiscovererVideoInfo() [1/2]

Gst::DiscovererVideoInfo::DiscovererVideoInfo | ( |  | ) |
| delete

## ◆ DiscovererVideoInfo() [2/2]

Gst::DiscovererVideoInfo::DiscovererVideoInfo | ( | const DiscovererVideoInfo& |  | ) |
| delete

## Member Function Documentation

## ◆ get_bitrate()

guint Gst::DiscovererVideoInfo::get_bitrate | ( |  | ) | const

Returns
  The average or nominal bitrate of the video stream in bits/second.

## ◆ get_depth()

guint Gst::DiscovererVideoInfo::get_depth | ( |  | ) | const

Returns
  The depth in bits of the video stream.

## ◆ get_framerate_denom()

guint Gst::DiscovererVideoInfo::get_framerate_denom | ( |  | ) | const

Returns
  The framerate of the video stream (denominator).

## ◆ get_framerate_num()

guint Gst::DiscovererVideoInfo::get_framerate_num | ( |  | ) | const

Returns
  The framerate of the video stream (numerator).

## ◆ get_height()

guint Gst::DiscovererVideoInfo::get_height | ( |  | ) | const

Returns
  The height of the video stream in pixels.

## ◆ get_max_bitrate()

guint Gst::DiscovererVideoInfo::get_max_bitrate | ( |  | ) | const

Returns
  The maximum bitrate of the video stream in bits/second.

## ◆ get_par_denom()

guint Gst::DiscovererVideoInfo::get_par_denom | ( |  | ) | const

Returns
  The Pixel Aspect Ratio (PAR) of the video stream (denominator).

## ◆ get_par_num()

guint Gst::DiscovererVideoInfo::get_par_num | ( |  | ) | const

Returns
  The Pixel Aspect Ratio (PAR) of the video stream (numerator).

## ◆ get_width()

guint Gst::DiscovererVideoInfo::get_width | ( |  | ) | const

Returns
  The width of the video stream in pixels.

## ◆ gobj() [1/2]

GstDiscovererVideoInfo* Gst::DiscovererVideoInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GstDiscovererVideoInfo* Gst::DiscovererVideoInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

## ◆ gobj_copy()

GstDiscovererVideoInfo* Gst::DiscovererVideoInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ is_image()

bool Gst::DiscovererVideoInfo::is_image | ( |  | ) | const

Returns
  #`true` if the video stream corresponds to an image (i.e. only contains one frame).

## ◆ is_interlaced()

bool Gst::DiscovererVideoInfo::is_interlaced | ( |  | ) | const

Returns
  `true` if the stream is interlaced, else `false`.

## ◆ operator delete()

void Gst::DiscovererVideoInfo::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

## ◆ operator=()

DiscovererVideoInfo& Gst::DiscovererVideoInfo::operator= | ( | const DiscovererVideoInfo& |  | ) |
| delete

## ◆ reference()

void Gst::DiscovererVideoInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## ◆ unreference()

void Gst::DiscovererVideoInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gst::DiscovererVideoInfo > wrap | ( | GstDiscovererVideoInfo * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.